Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.util
Class Reflection

    java.lang.Object
      com.endeca.util.Reflection

    public class Reflection

extends java.lang.Object

Constructor Summary
`Reflection()`

Method Summary
`static java.util.List<java.lang.reflect.Method>` | `getGetters(java.lang.Class clazz)`
`static java.util.List<java.lang.reflect.Method>` | `getGetters(java.lang.Class clazz, java.util.List<java.lang.String> exclusions)`
`static java.lang.String` | `getPropertyName(java.lang.String methodName)`
`static java.util.List<java.lang.reflect.Method>` | `getSetters(java.lang.Class clazz)`
`static java.util.List<java.lang.reflect.Method>` | `getSetters(java.lang.Class clazz, java.util.List<java.lang.String> exclusions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reflection

    public Reflection()

Method Detail

### getSetters

    public static java.util.List<java.lang.reflect.Method> getSetters(java.lang.Class clazz)

### getGetters

    public static java.util.List<java.lang.reflect.Method> getGetters(java.lang.Class clazz)

### getSetters

    public static java.util.List<java.lang.reflect.Method> getSetters(java.lang.Class clazz,
                                                                      java.util.List<java.lang.String> exclusions)

### getGetters

    public static java.util.List<java.lang.reflect.Method> getGetters(java.lang.Class clazz,
                                                                      java.util.List<java.lang.String> exclusions)

### getPropertyName

    public static java.lang.String getPropertyName(java.lang.String methodName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD